const encoder = new TextEncoder()
const decoder = new TextDecoder()

/**
 * String 转 Uint8Array
 */
export function encode(txt) {
  return encoder.encode(txt)
}

/**
 * Uint8Array 转 String
 */
export function decode(buf) {
  return decoder.decode(buf)
}

export function getType(val) {
  return Object.prototype.toString.call(val).slice(8, -1)
}
